QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++17

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    common/global.cpp \
    main.cpp \
    thread/processthread.cpp \
    ui/common/ctextbrowser.cpp \
    ui/common/ctextedit.cpp \
    ui/common/ledtext.cpp \
    ui/common/lightpoint.cpp \
    ui/common/stateprogressbar.cpp \
    ui/common/timewidget.cpp \
    ui/mainwidget.cpp

HEADERS += \
    common/global.h \
    thread/processthread.h \
    ui/common/ctextbrowser.h \
    ui/common/ctextedit.h \
    ui/common/ledtext.h \
    ui/common/lightpoint.h \
    ui/common/stateprogressbar.h \
    ui/common/timewidget.h \
    ui/mainwidget.h

FORMS += \
    ui/resources/mainwidget.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

INCLUDEPATH +=  \
    common  \
    ui  \
    ui/common  \
    ui/resources    \
    thread  \


DESTDIR = bin

RESOURCES += \
    resources/res.qrc

RC_ICONS = resources/image/logo.ico
